clang 10.0.0git

Public Member Functions | List of all members
clang::threadSafety::til::LiteralT< T > Class Template Reference

`#include "clang/Analysis/Analyses/ThreadSafetyTIL.h"`

Inheritance diagram for clang::threadSafety::til::LiteralT< T >:
[legend]
Collaboration diagram for clang::threadSafety::til::LiteralT< T >:
[legend]

## Public Member Functions
| LiteralT (T Dat)
| LiteralT (const LiteralT< T > &L)
T | value () const
T & | value ()
Public Member Functions inherited from clang::threadSafety::til::Literal
| Literal (const Expr *C)
| Literal (ValueType VT)
| Literal (const Literal &)=default
const Expr * | clangExpr () const
ValueType | valueType () const
template<class T >
const LiteralT< T > & | as () const
template<class T >
LiteralT< T > & | as ()
template<class V >
V::R_SExpr | traverse (V &Vs, typename V::R_Ctx Ctx)
template<class C >
C::CType | compare (const Literal *E, C &Cmp) const
Public Member Functions inherited from clang::threadSafety::til::SExpr
| SExpr ()=delete
TIL_Opcode | opcode () const
void * | operator new (size_t S, MemRegionRef &R)
void * | operator new (size_t)=delete
| SExpr objects must be created in an arena. More...
void | operator delete (void *)=delete
| SExpr objects cannot be deleted. More...
unsigned | id () const
| Returns the instruction ID for this expression. More...
BasicBlock * | block () const
| Returns the block, if this is an instruction in a basic block, otherwise returns null. More...
void | setID (BasicBlock *B, unsigned id)
| Set the basic block and instruction ID for this expression. More...

## Additional Inherited Members
Static Public Member Functions inherited from clang::threadSafety::til::Literal
static bool | classof (const SExpr *E)
Protected Member Functions inherited from clang::threadSafety::til::SExpr
| SExpr (TIL_Opcode Op)
| SExpr (const SExpr &E)
Protected Attributes inherited from clang::threadSafety::til::SExpr
const unsigned char | Opcode
unsigned char | Reserved = 0
unsigned short | Flags = 0
unsigned | SExprID = 0
BasicBlock * | Block = nullptr

## Detailed Description

### template<class T>
class clang::threadSafety::til::LiteralT< T >

Definition at line 526 of file ThreadSafetyTIL.h.

## Constructor & Destructor Documentation

## ◆ LiteralT() [1/2]

template<class T>

clang::threadSafety::til::LiteralT< T >::LiteralT | ( | T | Dat | ) |
| inline

Definition at line 567 of file ThreadSafetyTIL.h.

## ◆ LiteralT() [2/2]

template<class T>

clang::threadSafety::til::LiteralT< T >::LiteralT | ( | const LiteralT< T > & | L | ) |
| inline

Definition at line 568 of file ThreadSafetyTIL.h.

## Member Function Documentation

## ◆ value() [1/2]

template<class T>

T clang::threadSafety::til::LiteralT< T >::value | ( |  | ) | const
| inline

Definition at line 570 of file ThreadSafetyTIL.h.

Referenced by clang::threadSafety::til::PrettyPrinter< StdPrinter, std::ostream >::printLiteralT().

## ◆ value() [2/2]

template<class T>

T& clang::threadSafety::til::LiteralT< T >::value | ( |  | ) |
| inline

Definition at line 571 of file ThreadSafetyTIL.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/Analyses/ThreadSafetyTIL.h